
@import url('https://fonts.googleapis.com/css2?family=Google+Sans+Code:ital,wght@0,300..800;1,300..800&display=swap');


body{
    font-family: "Google Sans Code";
    font-size: 12px !important;
}
.bg-tfd{
    background-color: #004820 !important;
}
.bg-tfd-yellow{
    background-color: #ffb71b !important;
}
.border-tfd{
    border-style: solid !important;
    border-color: #004820 !important;
    border-width: 1px;
}
.border-bottom-tfd{
    border-top: 0px;
    border-left: 0px;
    border-right: 0px;
    border-bottom: 1px solid #004820 !important;
}
/*Estilo para fuentes personalizadas*/
.fs-10{
    font-size: 0.8em;
}
/*Text TFD*/
.text-tfd{
    color: #004820 !important;
}
.text-tfd-yellow{
    color:#ffb71b !important;
}
.text-tfd-yellow-muted{
    color:#c09028 !important;
}
/*Estilo para el boton personalizado de TFD*/
.btn-tfd{
    color: white;
    background-color: #004820;
}
.btn-tfd:hover{
    color: #ffb71b;
    background-color: #003317;
}
.btn-tfd:active{
    background-color: white !important;
    color: #004820 !important;
    border-color: #ffb71b !important;
} 
/*Estilo para los input personalizados de TFD*/
input.form-tfd{
    border: 1px solid #004820;
}
input.form-tfd:focus{    
    box-shadow: 0 0 5px #004820 !important;
    border: 1px solid #004820;
}  

/*Barra de navegacion global*/
nav#globalNavbar{
    background-color: #004820;
}

nav#globalNavbar a.nav-link{
    color: white !important;
}
nav#globalNavbar li.nav-item{
    border: 1px solid #004820;
    margin-left: 5px;
    margin-right: 5px;
}
nav#globalNavbar li.nav-item:hover{
    border-color: #004820;
    background-color: #ffb71b;
    font-weight: bold;
    transition: 0.6s;
}

/*Desing of article message class*/

article.message{
    width: 100%;
    height: auto;
    border: 1px solid #004820;
    box-shadow: 0 0 0.5px black;
}
article.message>div.message-header>.h1,.h2,.h3,.h4,.h5,.h6{
    margin: 0;
}
article.message>div.message-header{
    text-align: justify;
    padding: 10px;
    width: 100%;
    height: auto;
    background-color: #004820;
    border-bottom: 1px solid #004820;
    color: white;
    
}
article.message>div.message-body{
    background-color: white;
    padding: 10px;
}



/*Estilo para las tablas con desing de TFD*/
table.table-tfd{
    margin-bottom: 0 !important;
}
table.table-tfd>thead>tr{
    color: #ffb71b !important;
    background-color: #004820;
}
table.table-tfd>thead>tr>th{
    text-align: center;
    font-size:0.8em;
    padding:5px;
}
table.table-tfd>tbody>tr>td{
    text-align: center;
    border: none;
    font-size:0.8em;
    padding:5px;
}
table.table-tfd>tbody>tr>td>i{
    color: #004820;
}
table.table-tfd>tbody>tr:hover{
    background-color: #004820;
    color: #ffb71b !important;
    font-weight: bold;
    transition: 0.6s;
}
table.table-tfd>tbody>tr:hover i{
    background-color: #004820;
    color: #ffb71b !important;
    font-weight: bold;
    transition: 0.6s;
}
table.table-tfd>tfoot>tr{
    color: #ffb71b !important;
    background-color: #004820;
}
table.table-tfd>tfoot>tr>td{
    text-align: center;
    font-size: 0.8em;
}

table.table-tfd>tbody>tr>td.sticker{
    position: sticky;
    left: 0;
    background-color:white;
    z-index: 10;
}

/*Estilo para los inputs*/
input.form-tfd,select.form-tfd{
    border: 1px solid  #004820;
}

.title-sm{
    font-size: 0.9em !important;
}

/*WEEK LIST class*/
li.week-list{
    border: 0.01em solid #004820 !important;    
    box-shadow: 0 0 0 0.01em #004820;
}

li.week-list:hover{
    color: white !important;
    background-color: #ffb71b;
    transition: 0.3s;
}


/*SCROLL STYLE*/
.scroll-style::-webkit-scrollbar{
    width: 0.3em;
}
.scroll-style::-webkit-scrollbar-thumb{
    background-color: #004820;
}
/*IDs de graficas*/
#graficaSemanal{
    height: 25vh;
}

ul.list-group-tfd{
    border-radius: 0;
}

ul.list-group-tfd>li.list-group-item{
    color: #004820;
    border:none;
    font-size: 0.9em;
}
ul.list-group-tfd>li.list-group-item:hover{
    background-color: #004820;
    color: #c09028;
    font-weight: bold;
    border: none;
}

